Skip to main content
PUT
/
v1
/
installs
/
{installSid}
/
courses
/
{courseSid}
/
exams
/
{examSid}
/
configurations
/
{examConfigurationSid}
Update Configuration
curl --request PUT \
  --url http://api.dev.smarterproctoring.com/v1/installs/{installSid}/courses/{courseSid}/exams/{examSid}/configurations/{examConfigurationSid} \
  --header 'Content-Type: application/json' \
  --header 'token: <api-key>' \
  --data '
{
  "instructorAsProctor": [
    {
      "location": "<string>",
      "timeType": "between",
      "startTime": "1970-01-01T00:00:00.000Z",
      "endTime": "<string>",
      "sid": "<string>",
      "capacity": 123
    }
  ],
  "permittedBathroomBreak": true,
  "permittedBathroomBreakInformation": "<string>",
  "permittedBlankPaper": true,
  "permittedBlankPaperInformation": "<string>",
  "permittedCalculator": true,
  "permittedCalculatorInformation": "<string>",
  "permittedDictionary": true,
  "permittedDictionaryInformation": "<string>",
  "permittedEarplugs": true,
  "permittedEarplugsInformation": "<string>",
  "permittedFormulaSheet": true,
  "permittedFormulaSheetInformation": "<string>",
  "permittedNotes": true,
  "permittedNotesInformation": "<string>",
  "permittedOtherItems": "<string>",
  "permittedTextbook": true,
  "permittedTextbookInformation": "<string>",
  "permittedWebsites": true,
  "permittedWebsitesInformation": "<string>",
  "examOpenDate": "1970-01-01T00:00:00.000Z",
  "examCloseDate": "1970-01-01T00:00:00.000Z",
  "scheduleOpenDate": "1970-01-01T00:00:00.000Z",
  "scheduleCloseDate": "1970-01-01T00:00:00.000Z",
  "enrollmentSid": "<string>",
  "url": "<string>",
  "password": "<string>",
  "duration": 123,
  "attempts": 123,
  "requiredSoftware": "<string>",
  "studentNotes": "<string>",
  "proctorNotes": "<string>",
  "proctorTypes": [
    "<string>"
  ],
  "refConfigSid": "<string>",
  "attachments": [
    {
      "attachmentUrl": "<string>",
      "attachmentAwsTitle": "<string>"
    }
  ],
  "modalityOptions": {}
}
'
{
  "sid": "<string>",
  "examSid": "<string>",
  "enrollmentSid": "<string>",
  "referenceExamConfigurationSid": "<string>",
  "type": "<string>",
  "examOpenDate": "<string>",
  "examCloseDate": "<string>",
  "scheduleOpenDate": "<string>",
  "scheduleCloseDate": "<string>",
  "password": "<string>",
  "url": "<string>",
  "duration": 123,
  "attempts": 123,
  "attemptsRemaining": 123,
  "locked": true,
  "approved": true,
  "approvedBy": "<string>",
  "requiredSoftware": "<string>",
  "studentNotes": "<string>",
  "permittedBathroomBreak": true,
  "permittedBathroomBreakInformation": "<string>",
  "permittedBlankPaper": true,
  "permittedBlankPaperInformation": "<string>",
  "permittedCalculator": true,
  "permittedCalculatorInformation": "<string>",
  "permittedDictionary": true,
  "permittedDictionaryInformation": "<string>",
  "permittedEarplugs": true,
  "permittedEarplugsInformation": "<string>",
  "permittedFormulaSheet": true,
  "permittedFormulaSheetInformation": "<string>",
  "permittedNotes": true,
  "permittedNotesInformation": "<string>",
  "permittedOtherItems": "<string>",
  "permittedTextbook": true,
  "permittedTextbookInformation": "<string>",
  "permittedWebsites": true,
  "permittedWebsitesInformation": "<string>",
  "apiExamId": "<string>",
  "examSyncStatus": "<string>",
  "virtualCalculatorType": "<string>",
  "synchronization": "<string>",
  "proctorNotes": "<string>",
  "proctorTypes": [
    "<string>"
  ],
  "attachments": "<string>",
  "examFiles": "<string>",
  "instructorAsProctor": [
    "<string>"
  ],
  "exam": "<string>",
  "course": "<string>",
  "enrollment": "<string>",
  "createdDate": "<string>",
  "editDate": "<string>",
  "instructor": "<string>",
  "modalityOptions": "<string>",
  "updatedAutomatedSessions": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Application install sid

Pattern: ^AI[a-f0-9]{32}$
courseSid
string
required

Course Sid

Pattern: ^CU[a-f0-9]{32}$
examSid
string
required

Exam Sid

Pattern: ^EX[a-f0-9]{32}$
examConfigurationSid
string
required

Exam Configuration sid

Pattern: ^EC[a-f0-9]{32}$

Body

application/json

Exam configuration update payload

instructorAsProctor
object[]
required

List of Instructor as Proctor

permittedBathroomBreak
boolean
required

Is Bathroom Break permitted

permittedBathroomBreakInformation
string | null
required

Additional Information about bathroom break

permittedBlankPaper
boolean
required

Is blank paper permitted

permittedBlankPaperInformation
string | null
required

Additional Information about blank paper

permittedCalculator
boolean
required

Is calculator permitted

permittedCalculatorInformation
string | null
required

Additional Information about calculator

permittedDictionary
boolean
required

Is Dictionary permitted

permittedDictionaryInformation
string | null
required

Additional Information about Dictionary

permittedEarplugs
boolean
required

Is Earplugs permitted

permittedEarplugsInformation
string | null
required

Additional Information about Earplugs

permittedFormulaSheet
boolean
required

Is FormulaSheet permitted

permittedFormulaSheetInformation
string | null
required

Additional Information about FormulaSheet

permittedNotes
boolean
required

Is Notes permitted

permittedNotesInformation
string | null
required

Additional Information about Notes

permittedOtherItems
string | null
required

Other permitted Items

permittedTextbook
boolean
required

Is Textbook permitted

permittedTextbookInformation
string | null
required

Additional Information about Textbook

permittedWebsites
boolean
required

Is Websites permitted

permittedWebsitesInformation
string | null
required

Additional Information about Websites

examOpenDate
string

Exam Open Date

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

examCloseDate
string

Exam Close Date

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

scheduleOpenDate
string

Schedule Open Date

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

scheduleCloseDate
string

Schedule Close Date

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

enrollmentSid
string

Enrollment sid

Pattern: ^EN[a-f0-9]{32}$
url
string | null
password
string

Password

duration
integer

Duration Minutes

attempts
integer

Attempts Allowed

requiredSoftware
string | null

Required Software

studentNotes
string | null

Student Notes

proctorNotes
string | null

Proctor Notes

proctorTypes
string[]

Types of proctor for exam

Pattern: ^TS[a-f0-9]{32}$
refConfigSid
string

reference configuration sid

Pattern: ^EC[a-f0-9]{32}$
attachments
object[]

Exam attachments

Required array length: 1 - 5 elements
modalityOptions
object

List of modality options

Response

200 - application/json

Successful

sid
string | null

Configuration SID

examSid
string | null

Exam SID

enrollmentSid
string | null

Enrollment SID

referenceExamConfigurationSid
string | null

Reference exam configuration SID

type
string | null

Configuration type

examOpenDate
string | null

Exam open date

examCloseDate
string | null

Exam close date

scheduleOpenDate
string | null

Schedule open date

scheduleCloseDate
string | null

Schedule close date

password
string | null

Exam password

url
string | null

Exam URL

duration
number | null

Duration in minutes

attempts
number | null

Number of attempts

attemptsRemaining
number | null

Attempts remaining

locked
boolean | null

Whether locked

approved
boolean | null

Whether approved

approvedBy
string | null

Approved by

requiredSoftware
string | null

Required software

studentNotes
string | null

Student notes

permittedBathroomBreak
boolean | null

Bathroom break permitted

permittedBathroomBreakInformation
string | null

Bathroom break info

permittedBlankPaper
boolean | null

Blank paper permitted

permittedBlankPaperInformation
string | null

Blank paper info

permittedCalculator
boolean | null

Calculator permitted

permittedCalculatorInformation
string | null

Calculator info

permittedDictionary
boolean | null

Dictionary permitted

permittedDictionaryInformation
string | null

Dictionary info

permittedEarplugs
boolean | null

Earplugs permitted

permittedEarplugsInformation
string | null

Earplugs info

permittedFormulaSheet
boolean | null

Formula sheet permitted

permittedFormulaSheetInformation
string | null

Formula sheet info

permittedNotes
boolean | null

Notes permitted

permittedNotesInformation
string | null

Notes info

permittedOtherItems
string | null

Other permitted items

permittedTextbook
boolean | null

Textbook permitted

permittedTextbookInformation
string | null

Textbook info

permittedWebsites
boolean | null

Websites permitted

permittedWebsitesInformation
string | null

Websites info

apiExamId
string | null

API exam ID

examSyncStatus
string | null

Exam sync status

virtualCalculatorType
string | null

Virtual calculator type

synchronization
string | null

Synchronization info

proctorNotes
string | null

Proctor notes

proctorTypes
string[] | null

Proctor types

attachments
string | null

Attachments

examFiles
string | null

Exam files

instructorAsProctor
string[] | null

Instructor as proctor

exam
string | null

Associated exam

course
string | null

Associated course

enrollment
string | null

Associated enrollment

createdDate
string | null

Created date

editDate
string | null

Last modified date

instructor
string | null

Instructor details

modalityOptions
string | null

Modality options

updatedAutomatedSessions
string | null

Updated automated sessions